CLI
decimalai traces import traces.jsonl --format jsonlimport requests
url = "https://api.decimal.ai/api/v1/import/jsonl"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "agent_name": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('agent_name', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.decimal.ai/api/v1/import/jsonl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"imported_count": 100,
"error_count": 2,
"errors": [
"line 45: missing agent_name",
"line 78: invalid span_type"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}import
Import traces from a JSONL upload (deprecated path — use /traces/import)
deprecated
Upload and parse a JSONL file.
Supports two formats:
1. Chat messages: {"messages": [{"role": "...", "content": "..."}]}
2. Instruction pairs: {"input": "...", "output": "..."}
Each line becomes a trace with source_type="manual".
POST
/
api
/
v1
/
import
/
jsonl
CLI
decimalai traces import traces.jsonl --format jsonlimport requests
url = "https://api.decimal.ai/api/v1/import/jsonl"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "agent_name": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('agent_name', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.decimal.ai/api/v1/import/jsonl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"imported_count": 100,
"error_count": 2,
"errors": [
"line 45: missing agent_name",
"line 78: invalid span_type"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Headers
Cookies
Response
Successful Response
The response is of type Response Import Jsonl Api V1 Import Jsonl Post · object.
⌘I